dotnet-remove-package(1)

dotnet remove package

This article applies to: ✔️ .NET Core 3.1 SDK and later versions

NAME

dotnet-remove-package - Removes package reference from a project file.

SYNOPSIS

    dotnet remove [<PROJECT>] package <PACKAGE_NAME>

    dotnet remove package -h|--help

DESCRIPTION

The dotnet remove package command provides a convenient option to remove a NuGet package reference from a project.

ARGUMENTS

PROJECT

Specifies the project file. If not specified, the command searches the current directory for one.

PACKAGE_NAME

The package reference to remove.

OPTIONS

•   -?|-h|--help

    Prints out a description of how to use the command.

EXAMPLES

•   Remove Newtonsoft.Json NuGet package from a project in the current directory:

        dotnet remove package Newtonsoft.Json